slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPGetOperators

Gets the matrices associated with the polynomial eigensystem.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetOperators(PEP pep,PetscInt k,Mat *A)

Not Collective

### Input Parameters

| pep | - the PEP context
| k | - the index of the requested matrix (starting in 0)

### Output Parameter

| A | - the requested matrix

### See Also

PEPSolve(), PEPSetOperators(), PEPGetNumMatrices()

### Level

intermediate

### Location

src/pep/interface/pepsetup.c

### Examples

src/pep/tutorials/ex40.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages